Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicEventCERequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventCERequest`, `DaprAppCallbackProtos.TopicEventCERequest.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicEventCERequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getData()`
The content of the event.
`String`
`getDataContentType()`
The content type of data value.
`com.google.protobuf.ByteString`
`getDataContentTypeBytes()`
The content type of data value.
`com.google.protobuf.Struct`
`getExtensions()`
Custom attributes which includes cloud event extensions.
`com.google.protobuf.StructOrBuilder`
`getExtensionsOrBuilder()`
Custom attributes which includes cloud event extensions.
`String`
`getId()`
The unique identifier of this cloud event.
`com.google.protobuf.ByteString`
`getIdBytes()`
The unique identifier of this cloud event.
`String`
`getSource()`
source identifies the context in which an event happened.
`com.google.protobuf.ByteString`
`getSourceBytes()`
source identifies the context in which an event happened.
`String`
`getSpecVersion()`
The version of the CloudEvents specification.
`com.google.protobuf.ByteString`
`getSpecVersionBytes()`
The version of the CloudEvents specification.
`String`
`getType()`
The type of event related to the originating occurrence.
`com.google.protobuf.ByteString`
`getTypeBytes()`
The type of event related to the originating occurrence.
`boolean`
`hasExtensions()`
Custom attributes which includes cloud event extensions.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getId

String getId()

     The unique identifier of this cloud event.

`string id = 1;`

Returns:
  The id.

### getIdBytes

com.google.protobuf.ByteString getIdBytes()

     The unique identifier of this cloud event.

`string id = 1;`

Returns:
  The bytes for id.

### getSource

String getSource()

     source identifies the context in which an event happened.

`string source = 2;`

Returns:
  The source.

### getSourceBytes

com.google.protobuf.ByteString getSourceBytes()

     source identifies the context in which an event happened.

`string source = 2;`

Returns:
  The bytes for source.

### getType

String getType()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  The type.

### getTypeBytes

com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  The bytes for type.

### getSpecVersion

String getSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  The specVersion.

### getSpecVersionBytes

com.google.protobuf.ByteString getSpecVersionBytes()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  The bytes for specVersion.

### getDataContentType

String getDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  The dataContentType.

### getDataContentTypeBytes

com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  The bytes for dataContentType.

### getData

com.google.protobuf.ByteString getData()

     The content of the event.

`bytes data = 6;`

Returns:
  The data.

### hasExtensions

boolean hasExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Returns:
  Whether the extensions field is set.

### getExtensions

com.google.protobuf.Struct getExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Returns:
  The extensions.

### getExtensionsOrBuilder

com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`